/** ListenElement.java
 *
 *  Eine generische Klasse fuer den abstrakten Datentyp 
 *  des Listenelements in einer einfach verketteten Liste
 */

public class ListenElement<T> {

  // Datenelemente

  private T wert;
  protected ListenElement<T> next;

  // Konstruktor

  public ListenElement(T wert) {
    this.wert = wert;
  }

  // Methoden

  public T getWert() {
    return wert;
  }

  public ListenElement<T> getNext() {
    return next;
  }
}

// ListenElement
