/** Liste.java
 * 
 *  Liste als abstrakter Datentyp, der die generische Klasse
 *  ListenElement benutzt
 */



public class Liste<T> {

  ListenElement<T> kopf;


  public void insert(ListenElement<T> neuKopf) {
	neuKopf.next = kopf;
	kopf = neuKopf;
  }

  public void delete() {
	kopf = kopf.next;
  }

  public boolean isEmpty() {
	return (kopf == null);
  }

  public int length() {
    	ListenElement<T> hilfsElement = kopf;
	int l = 0;
	while (hilfsElement != null) {
	  l++;
	  hilfsElement = hilfsElement.next;
  	}
	return l;
  }

  public void show() {
	if (this.isEmpty()) System.out.println("Eine leere Liste.");
    else {
      ListenElement<T> ausg = kopf;
      while(ausg != null) {
         System.out.print(ausg.getWert());
         ausg = ausg.getNext();
	 if (ausg != null)
		System.out.print(", ");
      }
      System.out.println();
    }
  }
}

// Liste.java
